/*
 * led.c
 *
 *  Created on: 2022~1216
 *      Author: dragonfling
 */
#include "led.h"

void LedInit()
{
    GPIO_InitTypeDef GPIO_InitStructure ={0};
    RCC_APB2PeriphClockCmd(LED1_CLK|LED2_CLK, ENABLE);
    GPIO_InitStructure.GPIO_Pin = LED1_Pin|LED2_Pin;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;

    GPIO_Init(LED1_Port, &GPIO_InitStructure);
    GPIO_Init(LED2_Port, &GPIO_InitStructure);

    GPIO_SetBits(LED1_Port,LED1_Pin);
    GPIO_SetBits(LED2_Port,LED2_Pin);
}

void BeepInit()
{
    GPIO_InitTypeDef GPIO_InitStructure ={0};
    RCC_APB2PeriphClockCmd(BEEP_CLK, ENABLE);
    GPIO_InitStructure.GPIO_Pin = BEEP_Pin;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;

    GPIO_Init(BEEP_Port, &GPIO_InitStructure);
}
